#ifndef __TWOFISHINC_H
#define __TWOFISHINC_H

#include "../allcrypto.h"
#include "aes.h"

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

#ifndef NULL
#define NULL	0
#endif

#define TWOFISH_KEY_SIZE	256

typedef struct twofish_data{
	keyInstance		ki;
	cipherInstance	ci;
}TwoFishData;

int TwoFishEncrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen);
int TwoFishDecrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen);
int	AddKeyTwoFish(CryptoRecord* CR, int ID, char* KeyString);
void RemoveKeyTwoFish(CryptoRecord* CR);

#endif
